/*********************************************************************

	To print the full details, for checking.

**********************************************************************/

#include "msample.h"

void  print_set_up (int j)
{
   int   i;
   for (i = 0; i < pedsize; ++i)
   {
      fprintf (stderr, "\n %3d %3d", i, nghd[i].self);
      fprintf (stderr, "  %3d  %3d", nghd[i].pa->self, nghd[i].ma->self);
      fprintf (stderr, "   %2d  %2d   %2d  %2d",
               xx1[j][i], xx0[j][i], gg1[j][i], gg0[j][i]);
   }
   fflush (stderr);
   return;
}

void  print_obs_genes (int j, int ***y)
{
   int   i, ii;
   for (i = 1; i <= NObs; ++i)
   {
      ii = posit[IObs[i]][0];
      fprintf (stderr, "\n   %2d %3d %2d   %2d %2d   %2d %2d",
               i, IObs[i], ii, gg1[j][ii], gg0[j][ii],
               y[1][j][ii], y[0][j][ii]);
   }
   fflush (stderr);
   return;
}
