
/*  functions are:
 *       sortNam()
 *       sortIx()
 *       sortChron()
 *       comparNam()
 *       comparIx()
 *       comparChron()
 */
#include "pedchk.h"

void  sortNam (void)
{
   qsort (ppKeyTab, nInd, sizeof (KEYS_PTRS), comparNam);

   return;
}
void  sortIx (void)
{
   qsort (ppKeyTab, nInd, sizeof (KEYS_PTRS), comparIx);

   return;
}
void  sortChron (void)
{
   qsort (ppKeyTab, nInd, sizeof (KEYS_PTRS), comparChron);

   return;
}
int   comparNam (const void *p1, const void *p2)
{
/* KEYS_PP ppK1 = * (KEYS_PTRS * const *)p1;
   KEYS_PP ppK2 = * (KEYS_PTRS * const *)p2;
 */
   KEYS_PP ppK1;
   KEYS_PP ppK2;

   ppK1 = (KEYS_PP const) p1;
   ppK2 = (KEYS_PP const) p2;

   if ((*ppK1)->nam < (*ppK2)->nam)
      return -1;
   else if ((*ppK1)->nam == (*ppK2)->nam)
      return 0;
   else
      return 1;
}
int   comparIx (const void *p1, const void *p2)
{
   KEYS_PP ppK1;
   KEYS_PP ppK2;

   ppK1 = (KEYS_PP const) p1;
   ppK2 = (KEYS_PP const) p2;

   if ((*ppK1)->ix < (*ppK2)->ix)
      return -1;
   else if ((*ppK1)->ix == (*ppK2)->ix)
      return 0;
   else
      return 1;
}
int   comparChron (const void *p1, const void *p2)
{
   KEYS_PP ppK1;
   KEYS_PP ppK2;

   ppK1 = (KEYS_PP const) p1;
   ppK2 = (KEYS_PP const) p2;

   if ((*ppK1)->chron < (*ppK2)->chron)
      return -1;
   else if ((*ppK1)->chron == (*ppK2)->chron)
      return 0;
   else
      return 1;
}
