/*************************************************************************
  
  program name: innerprod.c
  
  replaces vecprod routine in bivar.c, univar.c etc.
  
  date: 8/24/91
  
**************************************************************************/

#include "quant.h"

/* compute inner product cc = a'b, n is the dimensionality */

double innerprod (double *a, double *b, int n)

{
   int   j;
   double cc = 0.0;
   for (j = 1; j <= n; ++j)
      cc += a[j] * b[j];
   return (cc);
}
