#include "stuff.h"

void  free_auto (void)
{
   int   c, s;

   /* free the data structures defined in globs.h by proc_auto for 
      the autozyg programs */

   if (NScSet)                          /* tests for proband gamete sets */
   {
      for (c = 0; c < NScCmp; ++c)      /* loops thru components */
      {
         if (NPrGam[c])                 /* tests for sets for this compnt */
         {
            for (s = 0; s < NScSet[c]; ++s)  /* loops thru sets */
            {
               if (Proband[c][s])       /* frees list of probands */
                  free (Proband[c][s]);
               if (ProbandGamete[c][s]) /* frees list of gametes */
                  free (ProbandGamete[c][s]);
            }
            free (Proband[c]);
            Proband[c] = NULL;
            free (ProbandGamete[c]);
            ProbandGamete[c] = NULL;
            free (NPrGam[c]);
            NPrGam[c] = NULL;
         }
      }
      free (Proband);
      Proband = NULL;
      free (ProbandGamete);
      ProbandGamete = NULL;
      free (NPrGam);
      NPrGam = NULL;
      free (NScSet);
      NScSet = NULL;
   }
   return;
}
