
#ifndef SAMPLE_H
#define SAMPLE_H
                                    /* array of allele freqs at all the loci */
GLOBAL int **xx0, **xx1;            /* arrays of maternal and paternal 
                                       segregation indicators at all the loci */
GLOBAL int **gg0, **gg1;            /* arrays of all labelled founder genes  
                                       in the pedigree */

void  allocate_loci (int, int *, double **);
int   check_seg_mode (void);
void  set_seg_mode (int);
int   set_genes (int);
double seg_pen2 (int, int ***, double *, int, int, int *);

#endif
