#include "nghds.h"

/*************************************************************************
  
 Function to find - and return - the maximum of a column of integers
  of some previously specified size "pedsize". To find the maximum 
  name in a pedigree, remember to make a vector of names from the data
  matrix first! 
  
**************************************************************************/

int   intmax (int aa[], int n1, int n2)
{
   int   i, maximum = aa[n1];

   for (i = n1 + 1; i < n2 + n1; ++i)
      maximum = (maximum > aa[i]) ? maximum : aa[i];

   return maximum;
}
