
/*  function is:
 *          checkNam()
 */

#include "pedchk.h"

/* checkNam:  checks for duplicate names in the pedigree */

int   checkNam (void)
{

   KEYS_PP ppK;
   int   i;
   int   fNam;
   int   nDup = 0;

   ppK = ppKeyTab;

   for (i = 0; i < nInd - 1; ++i)
   {
      if ((*(ppK + 1))->nam == (*ppK)->nam)
      {
         ++nDup;
         if (nDup == 1)
            fNam = (*ppK)->nam;
      }
      ++ppK;
   }
   if (nDup == 0)
      return OK;

   if (nDup == 1)
      give_err (ERC_dp1, "checkNam", fNam);
   else
      give_err (ERC_dup, "checkNam", nDup, fNam);

   return !OK;
}
